io.vertx.reactivex.kafka.admin

## Class AdminUtils

- java.lang.Object
- - io.vertx.reactivex.kafka.admin.AdminUtils

-     public class AdminUtils
      extends Object

  Provides a wrapper around important methods in Kafka's AdminUtils, namely

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<AdminUtils>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminUtils(AdminUtils delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeTopicConfig(String topicName, Map<String,String> topicConfig, Handler<AsyncResult<Void>> completionHandler)` Deprecated.
    `void` | `close(Handler<AsyncResult<Void>> completionHandler)` Deprecated.
    `static AdminUtils` | `create(Vertx vertx, String zookeeperHosts)` Deprecated.
    `static AdminUtils` | `create(Vertx vertx, String zookeeperHosts, boolean autoClose)` Deprecated.
    `static AdminUtils` | `create(Vertx vertx, String zookeeperHosts, int connectionTimeoutMs, boolean isSecure, boolean autoClose)` Deprecated.
    `void` | `createTopic(String topicName, int partitionCount, int replicationFactor, Handler<AsyncResult<Void>> completionHandler)` Deprecated.
    `void` | `createTopic(String topicName, int partitionCount, int replicationFactor, Map<String,String> topicConfig, Handler<AsyncResult<Void>> completionHandler)` Deprecated.
    `void` | `deleteTopic(String topicName, Handler<AsyncResult<Void>> completionHandler)` Deprecated.
    `boolean` | `equals(Object o)`
    `AdminUtils` | `getDelegate()`
    `int` | `hashCode()`
    `static AdminUtils` | `newInstance(AdminUtils arg)`
    `Completable` | `rxChangeTopicConfig(String topicName, Map<String,String> topicConfig)` Deprecated.
    `Completable` | `rxClose()` Deprecated.
    `Completable` | `rxCreateTopic(String topicName, int partitionCount, int replicationFactor)` Deprecated.
    `Completable` | `rxCreateTopic(String topicName, int partitionCount, int replicationFactor, Map<String,String> topicConfig)` Deprecated.
    `Completable` | `rxDeleteTopic(String topicName)` Deprecated.
    `Single<Boolean>` | `rxTopicExists(String topicName)` Deprecated.
    `void` | `topicExists(String topicName, Handler<AsyncResult<Boolean>> completionHandler)` Deprecated.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<AdminUtils> __TYPE_ARG

  - ### Constructor Detail

    - #### AdminUtils

          public AdminUtils(AdminUtils delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public AdminUtils getDelegate()

    - #### create

          @Deprecated
          public static AdminUtils create(Vertx vertx,
                                                      String zookeeperHosts)

      Deprecated.
      Create a new AdminUtils instance
      Parameters:
        `vertx` - Vert.x instance to use
        `zookeeperHosts` - comma-separated list of Zookeeper server, e.g. localhost:2181,localhost:2182
      Returns:
        an instance of the AdminUtilWrapper

    - #### create

          @Deprecated
          public static AdminUtils create(Vertx vertx,
                                                      String zookeeperHosts,
                                                      boolean autoClose)

      Deprecated.
      Create a new AdminUtils instance
      Parameters:
        `vertx` - Vert.x instance to use
        `zookeeperHosts` - comma-separated list of Zookeeper server, e.g. localhost:2181,localhost:2182
        `autoClose` - If set to true, the client will auto-close the connection after a command
      Returns:
        an instance of the AdminUtilWrapper

    - #### create

          @Deprecated
          public static AdminUtils create(Vertx vertx,
                                                      String zookeeperHosts,
                                                      int connectionTimeoutMs,
                                                      boolean isSecure,
                                                      boolean autoClose)

      Deprecated.
      Create a new AdminUtils instance
      Parameters:
        `vertx` - Vert.x instance to use
        `zookeeperHosts` - comma-separated list of Zookeeper server, e.g. localhost:2181,localhost:2182
        `connectionTimeoutMs` - Maximum time in ms to wait for the client to connect to Zookeeper
        `isSecure` - If set to true, ZkUtils will perform security checks, i.e. ACL checks
        `autoClose` - If set to true, the client will auto-close the connection after a command
      Returns:
        an instance of the AdminUtilWrapper

    - #### createTopic

          @Deprecated
          public void createTopic(String topicName,
                                              int partitionCount,
                                              int replicationFactor,
                                              Handler<AsyncResult<Void>> completionHandler)

      Deprecated.
      Creates a new Kafka topic on all Brokers managed by the given Zookeeper instance(s)
      Parameters:
        `topicName` - Name of the to-be-created topic
        `partitionCount` - Number of partitions
        `replicationFactor` - Number of replicates. Must be lower or equal to the number of available Brokers
        `completionHandler` - vert.x callback

    - #### rxCreateTopic

          @Deprecated
          public Completable rxCreateTopic(String topicName,
                                                       int partitionCount,
                                                       int replicationFactor)

      Deprecated.
      Creates a new Kafka topic on all Brokers managed by the given Zookeeper instance(s)
      Parameters:
        `topicName` - Name of the to-be-created topic
        `partitionCount` - Number of partitions
        `replicationFactor` - Number of replicates. Must be lower or equal to the number of available Brokers
      Returns:

    - #### createTopic

          @Deprecated
          public void createTopic(String topicName,
                                              int partitionCount,
                                              int replicationFactor,
                                              Map<String,String> topicConfig,
                                              Handler<AsyncResult<Void>> completionHandler)

      Deprecated.
      Creates a new Kafka topic on all Brokers managed by the given Zookeeper instance(s). In contrast to @see `createTopic(java.lang.String, int, int, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)`, one can pass in additional configuration parameters as a map (String -> String).
      Parameters:
        `topicName` - Name of the to-be-created topic
        `partitionCount` - Number of partitions
        `replicationFactor` - Number of replicates. Must be lower or equal to the number of available Brokers
        `topicConfig` - map with additional topic configuration parameters
        `completionHandler` - vert.x callback

    - #### rxCreateTopic

          @Deprecated
          public Completable rxCreateTopic(String topicName,
                                                       int partitionCount,
                                                       int replicationFactor,
                                                       Map<String,String> topicConfig)

      Deprecated.
      Creates a new Kafka topic on all Brokers managed by the given Zookeeper instance(s). In contrast to @see `createTopic(java.lang.String, int, int, io.vertx.core.Handler<io.vertx.core.AsyncResult<java.lang.Void>>)`, one can pass in additional configuration parameters as a map (String -> String).
      Parameters:
        `topicName` - Name of the to-be-created topic
        `partitionCount` - Number of partitions
        `replicationFactor` - Number of replicates. Must be lower or equal to the number of available Brokers
        `topicConfig` - map with additional topic configuration parameters
      Returns:

    - #### deleteTopic

          @Deprecated
          public void deleteTopic(String topicName,
                                              Handler<AsyncResult<Void>> completionHandler)

      Deprecated.
      Delete the Kafka topic given by the topicName.
      Parameters:
        `topicName` - Name of the topic to be deleted
        `completionHandler` - vert.x callback

    - #### rxDeleteTopic

          @Deprecated
          public Completable rxDeleteTopic(String topicName)

      Deprecated.
      Delete the Kafka topic given by the topicName.
      Parameters:
        `topicName` - Name of the topic to be deleted
      Returns:

    - #### topicExists

          @Deprecated
          public void topicExists(String topicName,
                                              Handler<AsyncResult<Boolean>> completionHandler)

      Deprecated.
      Checks if the Kafka topic given by topicName does exist.
      Parameters:
        `topicName` - Name of the topic
        `completionHandler` - vert.x callback

    - #### rxTopicExists

          @Deprecated
          public Single<Boolean> rxTopicExists(String topicName)

      Deprecated.
      Checks if the Kafka topic given by topicName does exist.
      Parameters:
        `topicName` - Name of the topic
      Returns:

    - #### changeTopicConfig

          @Deprecated
          public void changeTopicConfig(String topicName,
                                                    Map<String,String> topicConfig,
                                                    Handler<AsyncResult<Void>> completionHandler)

      Deprecated.
      Updates the configuration of the topic given by topicName. Configuration parameters are passed in as a Map (Key -> Value) of Strings.
      Parameters:
        `topicName` - topic to be configured
        `topicConfig` - Map with configuration items
        `completionHandler` - vert.x callback

    - #### rxChangeTopicConfig

          @Deprecated
          public Completable rxChangeTopicConfig(String topicName,
                                                             Map<String,String> topicConfig)

      Deprecated.
      Updates the configuration of the topic given by topicName. Configuration parameters are passed in as a Map (Key -> Value) of Strings.
      Parameters:
        `topicName` - topic to be configured
        `topicConfig` - Map with configuration items
      Returns:

    - #### close

          @Deprecated
          public void close(Handler<AsyncResult<Void>> completionHandler)

      Deprecated.
      Closes the underlying connection to Zookeeper. It is required to call the method for cleanup purposes if AdminUtils was not created with autoClose set to true.
      Parameters:
        `completionHandler` - vert.x callback

    - #### rxClose

          @Deprecated
          public Completable rxClose()

      Deprecated.
      Closes the underlying connection to Zookeeper. It is required to call the method for cleanup purposes if AdminUtils was not created with autoClose set to true.
      Returns:

    - #### newInstance

          public static AdminUtils newInstance(AdminUtils arg)

Copyright © 2019 Eclipse. All rights reserved.